Get interview transcript
curl --request GET \
--url https://api.vistaly.com/v1/interviews/{interviewId}/transcript \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vistaly.com/v1/interviews/{interviewId}/transcript"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vistaly.com/v1/interviews/{interviewId}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"00:00:12 John Doe: Welcome to today's interview.\n00:00:15 Jane Smith: Thank you for having me."{
"message": "Bad request"
}{
"message": "Unauthorized"
}{
"message": "Forbidden"
}{
"message": "Interview not found or transcript not available"
}{
"message": "Internal server error"
}interviews
Get interview transcript
Retrieve the transcript for a specific interview
GET
/
v1
/
interviews
/
{interviewId}
/
transcript
Get interview transcript
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier for the interview
Response
Transcript retrieved successfully
The response is of type string.
Example:
"00:00:12 John Doe: Welcome to today's interview.\n00:00:15 Jane Smith: Thank you for having me."
⌘I